Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring

From: Juri Linkov <[email-masked]>
Date: Tue, 30 Aug 2011 15:08:07 +0300

> Therefore, my proposal is obvious: Just after yanking some text into
> some buffer (and before doing anything else) the keys M-p/M-n should
> allow the user to navigate (backward/forward) through the kill ring.
> The selected entry would be placed in the buffer (as happens now with
> M-y).

This is implemented in
http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg01176.html
where after M-y you can use M-p/M-n to navigate through the kill ring.